multimedia/qt5-multimedia: Modernize and turn on sound support by default
ClosedPublic

Authored by jrm on Sep 23 2017, 10:33 PM.

Details

Summary

I submitted this in response to a request from Adrian Chadd on #bsdports on EFnet.

<adrian> I got bitten again by qt5-multimedia not choosing an audi oside
<adrian> (alsa or pulseaudio)
<adrian> can we please pick one already pretty please?
<adrian> not having audio in a lot of qt5 based things is very sad :(
<adrian> preeeeeeeeeeeettty please?

I am not a user of multimedia/qt5-multimedia, but I tested www/otter-browser, which depends on it, and I had no sound issues with the default options of multimedia/qt5-multimedia. Adrian, could you elaborate on what kind of problems you see with the default options? Assuming some dependencies have broken sound with the current default options, I copied the approach used by www/firefox and turned on both audio options by default. I think this will make life easier for the average user and users that do not want one or both of the audio options could build their own package. In any case, I will wait to confirm the details of the current issue before proceeding.

Test Plan

portlint -C: warnings about missing license
poudriere testport 10/11 i386/amd64: OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jrm created this revision.Sep 23 2017, 10:33 PM
jrm updated this revision to Diff 33366.Sep 23 2017, 10:35 PM

Sort entries in OPTIONS_DEFAULT

tcberner added inline comments.
multimedia/qt5-multimedia/Makefile
25 ↗(On Diff #33366)

I'm not sure if PULSEAUDIO goes under sensible default -- ALSA why not.

adrian accepted this revision.Oct 10 2017, 4:40 PM

hi! thanks for this! this will be really useful!

This revision is now accepted and ready to land.Oct 10 2017, 4:40 PM
tcberner requested changes to this revision.Oct 10 2017, 4:53 PM

I wont accept this without some discussion in why pulse needs to be default.

This revision now requires changes to proceed.Oct 10 2017, 4:53 PM

I think alsa is fine, as pulseaudio can capture alsa sound too.

jrm updated this revision to Diff 33870.Oct 10 2017, 8:25 PM

Do not turn on pulseaudio knob by default

jrm marked an inline comment as done.Oct 11 2017, 2:01 PM
tcberner added inline comments.Oct 11 2017, 8:04 PM
multimedia/qt5-multimedia/Makefile
12 ↗(On Diff #33870)

I don't think this is necessary. You waste the line we saved by setting it there =)

jrm added inline comments.Oct 11 2017, 10:25 PM
multimedia/qt5-multimedia/Makefile
12 ↗(On Diff #33870)

It 1. prevents portlint from reporting several errors and 2. let's others know of this somewhat unusual situation with the license set elsewhere, so they do not waste time searching for license information to set it in the Makefile. I think this is worth a one-line comment.

rakuco accepted this revision.Oct 12 2017, 5:31 PM
rakuco added a subscriber: rakuco.

I'm fine as long as @tcberner is fine :)

tcberner accepted this revision.Oct 12 2017, 5:37 PM

Thanks for working on this :)

This revision is now accepted and ready to land.Oct 12 2017, 5:37 PM
This revision was automatically updated to reflect the committed changes.